For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Inventory Settings
              • PUTUpdate Inventory Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsInventory

Get Inventory Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/settings/inventory
GET
/stores/:store_hash/v3/settings/inventory
$curl https://api.bigcommerce.com/stores/store_hash/v3/settings/inventory \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "product_out_of_stock_behavior": "hide_product",
4 "option_out_of_stock_behavior": "label_option",
5 "update_stock_behavior": "order_completed_or_shipped",
6 "edit_order_stock_adjustment": false,
7 "refund_order_stock_adjustment": true,
8 "stock_level_display": "show_when_low",
9 "default_out_of_stock_message": "Sorry, this item is currently out of stock.",
10 "hide_in_product_filtering": false,
11 "show_pre_order_stock_levels": true,
12 "show_out_of_stock_message": true
13 },
14 "meta": {}
15}
Get Inventory Settings
Was this page helpful?
Previous

Create Favicon Image

Next

Update Inventory Settings

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Response

OK, null indicates that a particular field has not been overridden on a channel level when channel level settings are requested.
dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

The MIME type of the response body.